import _extends from "@babel/runtime/helpers/esm/extends";
import PropTypes from 'prop-types';
import AtomButton, { atomButtonDesigns } from '@s-ui/react-atom-button';
import Logo from './components/Logo.js';
import { BASE_CLASS, DEFAULT_BRAND_LOGO } from './config.js';
import { jsx as _jsx } from "react/jsx-runtime";
import { jsxs as _jsxs } from "react/jsx-runtime";
var defaultButtonProps = {
  design: atomButtonDesigns.FLAT,
  link: true,
  negative: true,
  target: '_blank',
  rel: 'nofollow noopener'
};
export default function LoginHeader(_ref) {
  var _ref$logo = _ref.logo,
    logo = _ref$logo === void 0 ? DEFAULT_BRAND_LOGO : _ref$logo,
    button = _ref.button;
  var hasHelpButton = Boolean(button == null ? void 0 : button.text);
  return /*#__PURE__*/_jsxs("header", {
    className: "" + BASE_CLASS,
    children: [/*#__PURE__*/_jsx(Logo, {
      image: logo
    }), hasHelpButton && /*#__PURE__*/_jsx(AtomButton, _extends({}, defaultButtonProps, button.props, {
      children: button.text
    }))]
  });
}
LoginHeader.displayName = 'LoginHeader';